import{s as Ra,o as Xa,n as Ka}from"../chunks/scheduler.9991993c.js";import{S as Ga,i as Ja,g as s,s as a,r as m,A as Qa,h as l,f as r,c as o,j as b,u as p,x as d,k as _,y as t,a as i,v as c,d as g,t as f,w as u}from"../chunks/index.7fc9a5e7.js";import{T as Ua}from"../chunks/Tip.9de92fc6.js";import{D as C}from"../chunks/Docstring.8180f571.js";import{H}from"../chunks/Heading.e3de321f.js";function Ya(De){let h,L=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`;return{c(){h=s("p"),h.innerHTML=L},l($){h=l($,"P",{"data-svelte-h":!0}),d(h)!=="svelte-1um03ji"&&(h.innerHTML=L)},m($,V){i($,h,V)},p:Ka,d($){$&&r(h)}}}function Za(De){let h,L=`This collator relies on details of the implementation of subword tokenization by <code>BertTokenizer</code>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){h=s("p"),h.innerHTML=L},l($){h=l($,"P",{"data-svelte-h":!0}),d(h)!=="svelte-3v0y1u"&&(h.innerHTML=L)},m($,V){i($,h,V)},p:Ka,d($){$&&r(h)}}}function eo(De){let h,L,$,V,X,tt,G,ua="Data collators是一个对象，通过使用数据集元素列表作为输入来形成一个批次。这些元素与 <code>train_dataset</code> 或 <code>eval_dataset</code> 的元素类型相同。",at,J,ha='为了能够构建批次，Data collators可能会应用一些预处理（比如填充）。其中一些（比如<a href="/docs/transformers/v4.36.1/zh/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>）还会在形成的批次上应用一些随机数据增强（比如随机掩码）。',ot,Q,_a='在<a href="../examples">示例脚本</a>或<a href="../notebooks">示例notebooks</a>中可以找到使用的示例。',rt,Y,nt,D,Z,Lt,we,va=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,qt,Pe,ba="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Mt,ze,$a=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,st,ee,lt,y,te,St,Fe,ka=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,It,Le,xa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",At,qe,Ca=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Wt,Me,ya=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,it,ae,dt,I,oe,Ht,Se,Ta="Data collator that will dynamically pad the inputs received.",mt,re,pt,A,ne,Vt,Ie,Da="Data collator that will dynamically pad the inputs received, as well as the labels.",ct,se,gt,W,le,Et,Ae,wa="Data collator that will dynamically pad the inputs received, as well as the labels.",ft,ie,ut,k,de,jt,We,Pa=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Nt,E,Ot,j,me,Bt,He,za="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Ut,N,pe,Kt,Ve,Fa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Rt,O,ce,Xt,Ee,La="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ht,ge,_t,v,fe,Gt,je,qa="Data collator used for language modeling that masks entire words.",Jt,Ne,Ma="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",Qt,B,Yt,U,ue,Zt,Oe,Sa=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ea,K,he,ta,Be,Ia=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,aa,R,_e,oa,Ue,Aa=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,vt,ve,bt,x,be,ra,Ke,Wa="Data collator used for permutation language modeling.",na,Re,Ha="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",sa,q,$e,la,Xe,Va="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ia,ke,Ea=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,da,M,xe,ma,Ge,ja="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",pa,Ce,Na=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,ca,S,ye,ga,Je,Oa="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",fa,Te,Ba=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,$t,et,kt;return X=new H({props:{title:"Data Collator",local:"data-collator",headingTag:"h1"}}),Y=new H({props:{title:"Default data collator",local:"transformers.default_data_collator",headingTag:"h2"}}),Z=new C({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": typing.List[InputDataClass]"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L52"}}),ee=new H({props:{title:"DefaultDataCollator",local:"transformers.DefaultDataCollator",headingTag:"h2"}}),te=new C({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L78"}}),ae=new H({props:{title:"DataCollatorWithPadding",local:"transformers.DataCollatorWithPadding",headingTag:"h2"}}),oe=new C({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/v4.36.1/zh/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L215"}}),re=new H({props:{title:"DataCollatorForTokenClassification",local:"transformers.DataCollatorForTokenClassification",headingTag:"h2"}}),ne=new C({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/v4.36.1/zh/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L266"}}),se=new H({props:{title:"DataCollatorForSeq2Seq",local:"transformers.DataCollatorForSeq2Seq",headingTag:"h2"}}),le=new C({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": typing.Optional[typing.Any] = None"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.36.1/zh/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/v4.36.1/zh/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L517"}}),ie=new H({props:{title:"DataCollatorForLanguageModeling",local:"transformers.DataCollatorForLanguageModeling",headingTag:"h2"}}),de=new C({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.36.1/zh/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L607"}}),E=new Ua({props:{$$slots:{default:[Ya]},$$scope:{ctx:De}}}),me=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L806"}}),pe=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L659"}}),ce=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L751"}}),ge=new H({props:{title:"DataCollatorForWholeWordMask",local:"transformers.DataCollatorForWholeWordMask",headingTag:"h2"}}),fe=new C({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L845"}}),B=new Ua({props:{$$slots:{default:[Za]},$$scope:{ctx:De}}}),ue=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L1075"}}),he=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L1033"}}),_e=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L993"}}),ve=new H({props:{title:"DataCollatorForPermutationLanguageModeling",local:"transformers.DataCollatorForPermutationLanguageModeling",headingTag:"h2"}}),be=new C({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L1200"}}),$e=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L1440"}}),xe=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L1333"}}),ye=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.36.1/src/transformers/data/data_collator.py#L1234"}}),{c(){h=s("meta"),L=a(),$=s("p"),V=a(),m(X.$$.fragment),tt=a(),G=s("p"),G.innerHTML=ua,at=a(),J=s("p"),J.innerHTML=ha,ot=a(),Q=s("p"),Q.innerHTML=_a,rt=a(),m(Y.$$.fragment),nt=a(),D=s("div"),m(Z.$$.fragment),Lt=a(),we=s("p"),we.textContent=va,qt=a(),Pe=s("ul"),Pe.innerHTML=ba,Mt=a(),ze=s("p"),ze.textContent=$a,st=a(),m(ee.$$.fragment),lt=a(),y=s("div"),m(te.$$.fragment),St=a(),Fe=s("p"),Fe.textContent=ka,It=a(),Le=s("ul"),Le.innerHTML=xa,At=a(),qe=s("p"),qe.textContent=Ca,Wt=a(),Me=s("p"),Me.textContent=ya,it=a(),m(ae.$$.fragment),dt=a(),I=s("div"),m(oe.$$.fragment),Ht=a(),Se=s("p"),Se.textContent=Ta,mt=a(),m(re.$$.fragment),pt=a(),A=s("div"),m(ne.$$.fragment),Vt=a(),Ie=s("p"),Ie.textContent=Da,ct=a(),m(se.$$.fragment),gt=a(),W=s("div"),m(le.$$.fragment),Et=a(),Ae=s("p"),Ae.textContent=wa,ft=a(),m(ie.$$.fragment),ut=a(),k=s("div"),m(de.$$.fragment),jt=a(),We=s("p"),We.textContent=Pa,Nt=a(),m(E.$$.fragment),Ot=a(),j=s("div"),m(me.$$.fragment),Bt=a(),He=s("p"),He.textContent=za,Ut=a(),N=s("div"),m(pe.$$.fragment),Kt=a(),Ve=s("p"),Ve.textContent=Fa,Rt=a(),O=s("div"),m(ce.$$.fragment),Xt=a(),Ee=s("p"),Ee.textContent=La,ht=a(),m(ge.$$.fragment),_t=a(),v=s("div"),m(fe.$$.fragment),Gt=a(),je=s("p"),je.textContent=qa,Jt=a(),Ne=s("ul"),Ne.innerHTML=Ma,Qt=a(),m(B.$$.fragment),Yt=a(),U=s("div"),m(ue.$$.fragment),Zt=a(),Oe=s("p"),Oe.textContent=Sa,ea=a(),K=s("div"),m(he.$$.fragment),ta=a(),Be=s("p"),Be.textContent=Ia,aa=a(),R=s("div"),m(_e.$$.fragment),oa=a(),Ue=s("p"),Ue.textContent=Aa,vt=a(),m(ve.$$.fragment),bt=a(),x=s("div"),m(be.$$.fragment),ra=a(),Ke=s("p"),Ke.textContent=Wa,na=a(),Re=s("ul"),Re.innerHTML=Ha,sa=a(),q=s("div"),m($e.$$.fragment),la=a(),Xe=s("p"),Xe.textContent=Va,ia=a(),ke=s("ol"),ke.innerHTML=Ea,da=a(),M=s("div"),m(xe.$$.fragment),ma=a(),Ge=s("p"),Ge.textContent=ja,pa=a(),Ce=s("ol"),Ce.innerHTML=Na,ca=a(),S=s("div"),m(ye.$$.fragment),ga=a(),Je=s("p"),Je.textContent=Oa,fa=a(),Te=s("ol"),Te.innerHTML=Ba,$t=a(),et=s("p"),this.h()},l(e){const n=Qa("svelte-u9bgzb",document.head);h=l(n,"META",{name:!0,content:!0}),n.forEach(r),L=o(e),$=l(e,"P",{}),b($).forEach(r),V=o(e),p(X.$$.fragment,e),tt=o(e),G=l(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-1t1zoyx"&&(G.innerHTML=ua),at=o(e),J=l(e,"P",{"data-svelte-h":!0}),d(J)!=="svelte-1is9c72"&&(J.innerHTML=ha),ot=o(e),Q=l(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-54nsx2"&&(Q.innerHTML=_a),rt=o(e),p(Y.$$.fragment,e),nt=o(e),D=l(e,"DIV",{class:!0});var F=b(D);p(Z.$$.fragment,F),Lt=o(F),we=l(F,"P",{"data-svelte-h":!0}),d(we)!=="svelte-1hmsgsg"&&(we.textContent=va),qt=o(F),Pe=l(F,"UL",{"data-svelte-h":!0}),d(Pe)!=="svelte-1pq8qks"&&(Pe.innerHTML=ba),Mt=o(F),ze=l(F,"P",{"data-svelte-h":!0}),d(ze)!=="svelte-1vi1gug"&&(ze.textContent=$a),F.forEach(r),st=o(e),p(ee.$$.fragment,e),lt=o(e),y=l(e,"DIV",{class:!0});var w=b(y);p(te.$$.fragment,w),St=o(w),Fe=l(w,"P",{"data-svelte-h":!0}),d(Fe)!=="svelte-1hmsgsg"&&(Fe.textContent=ka),It=o(w),Le=l(w,"UL",{"data-svelte-h":!0}),d(Le)!=="svelte-1pq8qks"&&(Le.innerHTML=xa),At=o(w),qe=l(w,"P",{"data-svelte-h":!0}),d(qe)!=="svelte-1vi1gug"&&(qe.textContent=Ca),Wt=o(w),Me=l(w,"P",{"data-svelte-h":!0}),d(Me)!=="svelte-vfvbwr"&&(Me.textContent=ya),w.forEach(r),it=o(e),p(ae.$$.fragment,e),dt=o(e),I=l(e,"DIV",{class:!0});var xt=b(I);p(oe.$$.fragment,xt),Ht=o(xt),Se=l(xt,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-1iebpai"&&(Se.textContent=Ta),xt.forEach(r),mt=o(e),p(re.$$.fragment,e),pt=o(e),A=l(e,"DIV",{class:!0});var Ct=b(A);p(ne.$$.fragment,Ct),Vt=o(Ct),Ie=l(Ct,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-4uvw1w"&&(Ie.textContent=Da),Ct.forEach(r),ct=o(e),p(se.$$.fragment,e),gt=o(e),W=l(e,"DIV",{class:!0});var yt=b(W);p(le.$$.fragment,yt),Et=o(yt),Ae=l(yt,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-4uvw1w"&&(Ae.textContent=wa),yt.forEach(r),ft=o(e),p(ie.$$.fragment,e),ut=o(e),k=l(e,"DIV",{class:!0});var P=b(k);p(de.$$.fragment,P),jt=o(P),We=l(P,"P",{"data-svelte-h":!0}),d(We)!=="svelte-10km8jk"&&(We.textContent=Pa),Nt=o(P),p(E.$$.fragment,P),Ot=o(P),j=l(P,"DIV",{class:!0});var Tt=b(j);p(me.$$.fragment,Tt),Bt=o(Tt),He=l(Tt,"P",{"data-svelte-h":!0}),d(He)!=="svelte-iv4xqf"&&(He.textContent=za),Tt.forEach(r),Ut=o(P),N=l(P,"DIV",{class:!0});var Dt=b(N);p(pe.$$.fragment,Dt),Kt=o(Dt),Ve=l(Dt,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-iv4xqf"&&(Ve.textContent=Fa),Dt.forEach(r),Rt=o(P),O=l(P,"DIV",{class:!0});var wt=b(O);p(ce.$$.fragment,wt),Xt=o(wt),Ee=l(wt,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-iv4xqf"&&(Ee.textContent=La),wt.forEach(r),P.forEach(r),ht=o(e),p(ge.$$.fragment,e),_t=o(e),v=l(e,"DIV",{class:!0});var T=b(v);p(fe.$$.fragment,T),Gt=o(T),je=l(T,"P",{"data-svelte-h":!0}),d(je)!=="svelte-sjqk55"&&(je.textContent=qa),Jt=o(T),Ne=l(T,"UL",{"data-svelte-h":!0}),d(Ne)!=="svelte-d2ozxj"&&(Ne.innerHTML=Ma),Qt=o(T),p(B.$$.fragment,T),Yt=o(T),U=l(T,"DIV",{class:!0});var Pt=b(U);p(ue.$$.fragment,Pt),Zt=o(Pt),Oe=l(Pt,"P",{"data-svelte-h":!0}),d(Oe)!=="svelte-10msjh1"&&(Oe.textContent=Sa),Pt.forEach(r),ea=o(T),K=l(T,"DIV",{class:!0});var zt=b(K);p(he.$$.fragment,zt),ta=o(zt),Be=l(zt,"P",{"data-svelte-h":!0}),d(Be)!=="svelte-10msjh1"&&(Be.textContent=Ia),zt.forEach(r),aa=o(T),R=l(T,"DIV",{class:!0});var Ft=b(R);p(_e.$$.fragment,Ft),oa=o(Ft),Ue=l(Ft,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-10msjh1"&&(Ue.textContent=Aa),Ft.forEach(r),T.forEach(r),vt=o(e),p(ve.$$.fragment,e),bt=o(e),x=l(e,"DIV",{class:!0});var z=b(x);p(be.$$.fragment,z),ra=o(z),Ke=l(z,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-12inif1"&&(Ke.textContent=Wa),na=o(z),Re=l(z,"UL",{"data-svelte-h":!0}),d(Re)!=="svelte-1t4qh7k"&&(Re.innerHTML=Ha),sa=o(z),q=l(z,"DIV",{class:!0});var Qe=b(q);p($e.$$.fragment,Qe),la=o(Qe),Xe=l(Qe,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-1u70phx"&&(Xe.textContent=Va),ia=o(Qe),ke=l(Qe,"OL",{start:!0,"data-svelte-h":!0}),d(ke)!=="svelte-1r6jrbi"&&(ke.innerHTML=Ea),Qe.forEach(r),da=o(z),M=l(z,"DIV",{class:!0});var Ye=b(M);p(xe.$$.fragment,Ye),ma=o(Ye),Ge=l(Ye,"P",{"data-svelte-h":!0}),d(Ge)!=="svelte-1u70phx"&&(Ge.textContent=ja),pa=o(Ye),Ce=l(Ye,"OL",{start:!0,"data-svelte-h":!0}),d(Ce)!=="svelte-1r6jrbi"&&(Ce.innerHTML=Na),Ye.forEach(r),ca=o(z),S=l(z,"DIV",{class:!0});var Ze=b(S);p(ye.$$.fragment,Ze),ga=o(Ze),Je=l(Ze,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-1u70phx"&&(Je.textContent=Oa),fa=o(Ze),Te=l(Ze,"OL",{start:!0,"data-svelte-h":!0}),d(Te)!=="svelte-1r6jrbi"&&(Te.innerHTML=Ba),Ze.forEach(r),z.forEach(r),$t=o(e),et=l(e,"P",{}),b(et).forEach(r),this.h()},h(){_(h,"name","hf:doc:metadata"),_(h,"content",to),_(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ke,"start","0"),_(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Ce,"start","0"),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Te,"start","0"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){t(document.head,h),i(e,L,n),i(e,$,n),i(e,V,n),c(X,e,n),i(e,tt,n),i(e,G,n),i(e,at,n),i(e,J,n),i(e,ot,n),i(e,Q,n),i(e,rt,n),c(Y,e,n),i(e,nt,n),i(e,D,n),c(Z,D,null),t(D,Lt),t(D,we),t(D,qt),t(D,Pe),t(D,Mt),t(D,ze),i(e,st,n),c(ee,e,n),i(e,lt,n),i(e,y,n),c(te,y,null),t(y,St),t(y,Fe),t(y,It),t(y,Le),t(y,At),t(y,qe),t(y,Wt),t(y,Me),i(e,it,n),c(ae,e,n),i(e,dt,n),i(e,I,n),c(oe,I,null),t(I,Ht),t(I,Se),i(e,mt,n),c(re,e,n),i(e,pt,n),i(e,A,n),c(ne,A,null),t(A,Vt),t(A,Ie),i(e,ct,n),c(se,e,n),i(e,gt,n),i(e,W,n),c(le,W,null),t(W,Et),t(W,Ae),i(e,ft,n),c(ie,e,n),i(e,ut,n),i(e,k,n),c(de,k,null),t(k,jt),t(k,We),t(k,Nt),c(E,k,null),t(k,Ot),t(k,j),c(me,j,null),t(j,Bt),t(j,He),t(k,Ut),t(k,N),c(pe,N,null),t(N,Kt),t(N,Ve),t(k,Rt),t(k,O),c(ce,O,null),t(O,Xt),t(O,Ee),i(e,ht,n),c(ge,e,n),i(e,_t,n),i(e,v,n),c(fe,v,null),t(v,Gt),t(v,je),t(v,Jt),t(v,Ne),t(v,Qt),c(B,v,null),t(v,Yt),t(v,U),c(ue,U,null),t(U,Zt),t(U,Oe),t(v,ea),t(v,K),c(he,K,null),t(K,ta),t(K,Be),t(v,aa),t(v,R),c(_e,R,null),t(R,oa),t(R,Ue),i(e,vt,n),c(ve,e,n),i(e,bt,n),i(e,x,n),c(be,x,null),t(x,ra),t(x,Ke),t(x,na),t(x,Re),t(x,sa),t(x,q),c($e,q,null),t(q,la),t(q,Xe),t(q,ia),t(q,ke),t(x,da),t(x,M),c(xe,M,null),t(M,ma),t(M,Ge),t(M,pa),t(M,Ce),t(x,ca),t(x,S),c(ye,S,null),t(S,ga),t(S,Je),t(S,fa),t(S,Te),i(e,$t,n),i(e,et,n),kt=!0},p(e,[n]){const F={};n&2&&(F.$$scope={dirty:n,ctx:e}),E.$set(F);const w={};n&2&&(w.$$scope={dirty:n,ctx:e}),B.$set(w)},i(e){kt||(g(X.$$.fragment,e),g(Y.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(ae.$$.fragment,e),g(oe.$$.fragment,e),g(re.$$.fragment,e),g(ne.$$.fragment,e),g(se.$$.fragment,e),g(le.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(E.$$.fragment,e),g(me.$$.fragment,e),g(pe.$$.fragment,e),g(ce.$$.fragment,e),g(ge.$$.fragment,e),g(fe.$$.fragment,e),g(B.$$.fragment,e),g(ue.$$.fragment,e),g(he.$$.fragment,e),g(_e.$$.fragment,e),g(ve.$$.fragment,e),g(be.$$.fragment,e),g($e.$$.fragment,e),g(xe.$$.fragment,e),g(ye.$$.fragment,e),kt=!0)},o(e){f(X.$$.fragment,e),f(Y.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(ae.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(ne.$$.fragment,e),f(se.$$.fragment,e),f(le.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(E.$$.fragment,e),f(me.$$.fragment,e),f(pe.$$.fragment,e),f(ce.$$.fragment,e),f(ge.$$.fragment,e),f(fe.$$.fragment,e),f(B.$$.fragment,e),f(ue.$$.fragment,e),f(he.$$.fragment,e),f(_e.$$.fragment,e),f(ve.$$.fragment,e),f(be.$$.fragment,e),f($e.$$.fragment,e),f(xe.$$.fragment,e),f(ye.$$.fragment,e),kt=!1},d(e){e&&(r(L),r($),r(V),r(tt),r(G),r(at),r(J),r(ot),r(Q),r(rt),r(nt),r(D),r(st),r(lt),r(y),r(it),r(dt),r(I),r(mt),r(pt),r(A),r(ct),r(gt),r(W),r(ft),r(ut),r(k),r(ht),r(_t),r(v),r(vt),r(bt),r(x),r($t),r(et)),r(h),u(X,e),u(Y,e),u(Z),u(ee,e),u(te),u(ae,e),u(oe),u(re,e),u(ne),u(se,e),u(le),u(ie,e),u(de),u(E),u(me),u(pe),u(ce),u(ge,e),u(fe),u(B),u(ue),u(he),u(_e),u(ve,e),u(be),u($e),u(xe),u(ye)}}}const to='{"title":"Data Collator","local":"data-collator","sections":[{"title":"Default data collator","local":"transformers.default_data_collator","sections":[],"depth":2},{"title":"DefaultDataCollator","local":"transformers.DefaultDataCollator","sections":[],"depth":2},{"title":"DataCollatorWithPadding","local":"transformers.DataCollatorWithPadding","sections":[],"depth":2},{"title":"DataCollatorForTokenClassification","local":"transformers.DataCollatorForTokenClassification","sections":[],"depth":2},{"title":"DataCollatorForSeq2Seq","local":"transformers.DataCollatorForSeq2Seq","sections":[],"depth":2},{"title":"DataCollatorForLanguageModeling","local":"transformers.DataCollatorForLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorForWholeWordMask","local":"transformers.DataCollatorForWholeWordMask","sections":[],"depth":2},{"title":"DataCollatorForPermutationLanguageModeling","local":"transformers.DataCollatorForPermutationLanguageModeling","sections":[],"depth":2}],"depth":1}';function ao(De){return Xa(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class io extends Ga{constructor(h){super(),Ja(this,h,ao,eo,Ra,{})}}export{io as component};
